Phone

  • OpenAPI Version: 3.1.0
  • API Version: 1.0.0

The Zoom Phone webhooks allow developers to receive events for Zoom Phone features.

Operations

POST phone.recording_deleted

  • Method: POST
  • Path: phone.recording_deleted
  • Tags: phone

Request Body

Content-Type: application/json
  • event (required)

    string, possible values: "phone.recording_deleted" — The event name.

  • event_ts (required)

    integer, format: int64 — The timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long (int64) format.

  • payload (required)

    object

    • account_id (required)

      string — The ID of the account to which the recording belongs.

    • object (required)

      object

      • recordings (required)

        array

        Items:

        • call_id (required)

          string — The call ID.

        • id (required)

          string — The recording ID.

Example:

{
  "event": "phone.recording_deleted",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "recordings": [
        {
          "id": "",
          "call_id": ""
        }
      ]
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string, possible values: "phone.recording_deleted" — The event name.

  • event_ts (required)

    integer, format: int64 — The timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long (int64) format.

  • payload (required)

    object

    • account_id (required)

      string — The ID of the account to which the recording belongs.

    • object (required)

      object

      • recordings (required)

        array

        Items:

        • call_id (required)

          string — The call ID.

        • id (required)

          string — The recording ID.

Example:

{
  "event": "phone.recording_deleted",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "recordings": [
        {
          "id": "",
          "call_id": ""
        }
      ]
    }
  }
}

POST phone.caller_call_log_completed

  • Method: POST
  • Path: phone.caller_call_log_completed
  • Tags: phone

Request Body

Content-Type: application/json
  • event (required)

    string, possible values: "phone.caller_call_log_completed" — Event name.

  • event_ts (required)

    integer, format: int64 — Timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format.

  • payload (required)

    object

    • account_id (required)

      string — Account ID of the caller.

    • object (required)

      object

      • call_logs (required)

        array

        Items:

        • call_id (required)

          string — Unique identifier of the call.

        • call_type (required)

          string, possible values: "voip", "pstn", "tollfree", "international", "contactCenter" — The type of call: * voip (Voice over IP) * pstn (Public Switched Telephone Network) * tollfree * international * contactCenter

        • callee_number (required)

          string — Phone number of the callee.

        • callee_number_type (required)

          integer, possible values: 1, 2, 3 — The callee's phone number type: * 1 — extension number. * 2 — phone number. * 3 — Customized emergency number.

        • caller_number (required)

          string — Phone number of the caller.

        • caller_number_type (required)

          integer, possible values: 1, 2 — Phone number type of the caller. The value can be one of the following: * 1 - extension number. * 2 - phone number.

        • date_time (required)

          string, format: date-time — Start date and time of the call.

        • has_voicemail (required)

          boolean — Indicates whether the call log includes voicemail or not.

        • id (required)

          string — Unique Identifier of the call log.

        • path (required)

          string — Path of the call log.

        • result (required)

          string — Status of the call.

        • call_end_time

          string, format: date-time — End time of the call.

        • callee_country_code

          string — Callee's country code.

        • callee_country_iso_code

          string — ISO alpha2 country code.

        • callee_did_number

          string — Callee's DID number.

        • callee_location

          string — Location of the callee.

        • callee_name

          string — Name of the callee.

        • callee_number_source

          string, possible values: "internal", "external", "byop" — Phone number source of the caller. The value can be one of the following: * internal - ZP native. * external — BYOC or Provider Exchange. * byop — Premise peering. Not available when callee_number_type = 1.

        • caller_country_code

          string — Caller's country code.

        • caller_country_iso_code

          string — ISO alpha2 country code.

        • caller_did_number

          string — Caller's DID number.

        • caller_location

          string — Location of the caller.

        • caller_name

          string — Name of the caller.

        • caller_number_source

          string, possible values: "internal", "external", "byop" — Phone number source of the caller. The value can be one of the following: * internal - ZP native. * external — BYOC or Provider Exchange. * byop — Premise peering. Not available when caller_number_type = 1.

        • client_code

          string — Client code.

        • cost_center

          string — Cost center name.

        • department

          string — Department name.

        • direction

          string, possible values: "inbound", "outbound" — Direction of the call. The value of this field can either be inbound or outbound.

        • duration

          integer — Duration of the call.

        • forwarded_by

          object — Indicates where the call was forwarded from.

          • extension_number

            string

          • extension_type

            string, possible values: "user", "callQueue", "autoReceptionist", "sharedLineGroup"

          • location

            string

          • name

            string

          • number_type

            integer — Phone number types: 1 - Extension 2- E164 number 3 - Custom number.

          • phone_number

            string

        • forwarded_to

          object — Indicates who the call was forwarded to.

          • extension_number

            string

          • extension_type

            string, possible values: "user", "callQueue", "autoReceptionist", "sharedLineGroup", "pstn"

          • location

            string

          • name

            string

          • number_type

            integer — Phone number types: 1 - Extension 2- E164 number 3 - Custom number.

          • phone_number

            string

        • has_recording

          boolean — Indicates whether the call log includes recording or not.

        • hold_time

          integer — Hold time during a call in seconds.

        • recording_id

          string — ID of this recording.

        • recording_type

          string — Recording type of the call. This value field can be OnDemand or Automatic.

        • site

          object

      • user_id (required)

        string — User Id of the caller.

Example:

{
  "event": "phone.caller_call_log_completed",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "user_id": "",
      "call_logs": [
        {
          "id": "",
          "caller_number": "",
          "caller_number_type": 1,
          "caller_number_source": "internal",
          "caller_name": "",
          "caller_location": "",
          "caller_did_number": "",
          "caller_country_code": "",
          "caller_country_iso_code": "",
          "callee_number": "",
          "callee_number_type": 1,
          "callee_number_source": "internal",
          "callee_name": "",
          "callee_location": "",
          "callee_did_number": "",
          "callee_country_code": "",
          "callee_country_iso_code": "",
          "duration": 1,
          "result": "",
          "date_time": "",
          "path": "",
          "site": {
            "id": ""
          },
          "has_recording": true,
          "recording_id": "",
          "recording_type": "",
          "has_voicemail": true,
          "call_id": "",
          "client_code": "",
          "call_type": "voip",
          "call_end_time": "",
          "direction": "inbound",
          "forwarded_to": {
            "extension_number": "",
            "extension_type": "user",
            "location": "",
            "name": "",
            "number_type": 1,
            "phone_number": ""
          },
          "forwarded_by": {
            "extension_number": "",
            "extension_type": "user",
            "location": "",
            "name": "",
            "number_type": 1,
            "phone_number": ""
          },
          "hold_time": 1,
          "department": "",
          "cost_center": ""
        }
      ]
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string, possible values: "phone.caller_call_log_completed" — Event name.

  • event_ts (required)

    integer, format: int64 — Timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format.

  • payload (required)

    object

    • account_id (required)

      string — Account ID of the caller.

    • object (required)

      object

      • call_logs (required)

        array

        Items:

        • call_id (required)

          string — Unique identifier of the call.

        • call_type (required)

          string, possible values: "voip", "pstn", "tollfree", "international", "contactCenter" — The type of call: * voip (Voice over IP) * pstn (Public Switched Telephone Network) * tollfree * international * contactCenter

        • callee_number (required)

          string — Phone number of the callee.

        • callee_number_type (required)

          integer, possible values: 1, 2, 3 — The callee's phone number type: * 1 — extension number. * 2 — phone number. * 3 — Customized emergency number.

        • caller_number (required)

          string — Phone number of the caller.

        • caller_number_type (required)

          integer, possible values: 1, 2 — Phone number type of the caller. The value can be one of the following: * 1 - extension number. * 2 - phone number.

        • date_time (required)

          string, format: date-time — Start date and time of the call.

        • has_voicemail (required)

          boolean — Indicates whether the call log includes voicemail or not.

        • id (required)

          string — Unique Identifier of the call log.

        • path (required)

          string — Path of the call log.

        • result (required)

          string — Status of the call.

        • call_end_time

          string, format: date-time — End time of the call.

        • callee_country_code

          string — Callee's country code.

        • callee_country_iso_code

          string — ISO alpha2 country code.

        • callee_did_number

          string — Callee's DID number.

        • callee_location

          string — Location of the callee.

        • callee_name

          string — Name of the callee.

        • callee_number_source

          string, possible values: "internal", "external", "byop" — Phone number source of the caller. The value can be one of the following: * internal - ZP native. * external — BYOC or Provider Exchange. * byop — Premise peering. Not available when callee_number_type = 1.

        • caller_country_code

          string — Caller's country code.

        • caller_country_iso_code

          string — ISO alpha2 country code.

        • caller_did_number

          string — Caller's DID number.

        • caller_location

          string — Location of the caller.

        • caller_name

          string — Name of the caller.

        • caller_number_source

          string, possible values: "internal", "external", "byop" — Phone number source of the caller. The value can be one of the following: * internal - ZP native. * external — BYOC or Provider Exchange. * byop — Premise peering. Not available when caller_number_type = 1.

        • client_code

          string — Client code.

        • cost_center

          string — Cost center name.

        • department

          string — Department name.

        • direction

          string, possible values: "inbound", "outbound" — Direction of the call. The value of this field can either be inbound or outbound.

        • duration

          integer — Duration of the call.

        • forwarded_by

          object — Indicates where the call was forwarded from.

          • extension_number

            string

          • extension_type

            string, possible values: "user", "callQueue", "autoReceptionist", "sharedLineGroup"

          • location

            string

          • name

            string

          • number_type

            integer — Phone number types: 1 - Extension 2- E164 number 3 - Custom number.

          • phone_number

            string

        • forwarded_to

          object — Indicates who the call was forwarded to.

          • extension_number

            string

          • extension_type

            string, possible values: "user", "callQueue", "autoReceptionist", "sharedLineGroup", "pstn"

          • location

            string

          • name

            string

          • number_type

            integer — Phone number types: 1 - Extension 2- E164 number 3 - Custom number.

          • phone_number

            string

        • has_recording

          boolean — Indicates whether the call log includes recording or not.

        • hold_time

          integer — Hold time during a call in seconds.

        • recording_id

          string — ID of this recording.

        • recording_type

          string — Recording type of the call. This value field can be OnDemand or Automatic.

        • site

          object

      • user_id (required)

        string — User Id of the caller.

Example:

{
  "event": "phone.caller_call_log_completed",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "user_id": "",
      "call_logs": [
        {
          "id": "",
          "caller_number": "",
          "caller_number_type": 1,
          "caller_number_source": "internal",
          "caller_name": "",
          "caller_location": "",
          "caller_did_number": "",
          "caller_country_code": "",
          "caller_country_iso_code": "",
          "callee_number": "",
          "callee_number_type": 1,
          "callee_number_source": "internal",
          "callee_name": "",
          "callee_location": "",
          "callee_did_number": "",
          "callee_country_code": "",
          "callee_country_iso_code": "",
          "duration": 1,
          "result": "",
          "date_time": "",
          "path": "",
          "site": {
            "id": ""
          },
          "has_recording": true,
          "recording_id": "",
          "recording_type": "",
          "has_voicemail": true,
          "call_id": "",
          "client_code": "",
          "call_type": "voip",
          "call_end_time": "",
          "direction": "inbound",
          "forwarded_to": {
            "extension_number": "",
            "extension_type": "user",
            "location": "",
            "name": "",
            "number_type": 1,
            "phone_number": ""
          },
          "forwarded_by": {
            "extension_number": "",
            "extension_type": "user",
            "location": "",
            "name": "",
            "number_type": 1,
            "phone_number": ""
          },
          "hold_time": 1,
          "department": "",
          "cost_center": ""
        }
      ]
    }
  }
}

POST phone.recording_completed_for_access_member

  • Method: POST
  • Path: phone.recording_completed_for_access_member
  • Tags: phone

Request Body

Content-Type: application/json
  • event (required)

    string, possible values: "phone.recording_completed_for_access_member" — Event name.

  • event_ts (required)

    integer, format: int64 — The timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who recorded the call.

    • object (required)

      object

      • recordings (required)

        array

        Items:

        • callee_name (required)

          string — The name of the callee.

        • callee_number (required)

          string — The phone number of the callee.

        • callee_number_type (required)

          integer, possible values: 1, 2 — The phone number type of the callee. The value can be one of the following: * 1 - internal * 2 - external

        • caller_number (required)

          string — The phone number of the caller.

        • caller_number_type (required)

          integer, possible values: 1, 2 — The phone number type of the caller. The value can be one of the following: * 1 - internal * 2 - external

        • date_time (required)

          string, format: date-time — The start date and time of the call.

        • direction (required)

          string, possible values: "inbound", "outbound" — The direction of the call. The value of this field can either be inbound or outbound.

        • download_url (required)

          string — The URL to download the call recording. To download the recording via this URL, you must add an “access_token” query parameter to the download URL and provide either the user's OAuth access token or your app's **JWT** as the value of the “access_token” parameter. For example, if the value of this field is "https://zoom.us/v2/phone/recording/download/abcD666T”, the complete URL path to download the recording will be as below: https://zoom.us/v2/phone/recording/download/abcD666T?access_token={YOUR_ACCESS_TOKEN_HERE}

        • duration (required)

          integer — The duration of the call in seconds.

        • id (required)

          string — The recording ID is the unique Identifier of the call recording.

        • accepted_by

          object — The call-receiving user. The current recording must belong to the receiver and call queue for it to be available.

          • extension_number

            string — The user extension number.

          • name

            string — User name

        • call_element_id

          string — The call element id.

        • call_history_id

          string — The call history id.

        • call_id

          string — The unique identifier of the call.

        • call_log_id

          string — The call log id.

        • callee_account_code

          string — The callee's account code. To dial between accounts, use the format: [Account code] - [extension number].

        • callee_did_number

          string — The callee's DID number.

        • caller_account_code

          string — The caller's account code. To dial between accounts, use the format: [Account code] - [extension number].

        • caller_did_number

          string — The caller's DID number.

        • caller_name

          string — The name of the caller.

        • end_time

          string, format: date-time — The recording's end time.

        • outgoing_by

          object — The call-initiating user. The current recording must belong to the initiator and call queue for it to be available.

          • extension_number

            string — The user's extension number.

          • name

            string — The user name.

        • owner

          object — The owner of the call.

          • id (required)

            string — The owner ID.

          • name (required)

            string — The owner name.

          • type (required)

            string — The owner type. This value field can be user or callQueue.

          • extension_number

            integer — The extension number of the owner

          • has_access_permission

            boolean — Whether the owner has the access permission to this recording.

        • recording_type

          string — The recording type of the call. This value field can be OnDemand or Automatic.

        • site

          object — The site of the call.

          • id

            string — The site ID of the call.

        • user_id

          string — The unique identifier of the user.

Example:

{
  "event": "phone.recording_completed_for_access_member",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "recordings": [
        {
          "id": "",
          "caller_account_code": "",
          "caller_number": "",
          "caller_number_type": 1,
          "caller_name": "",
          "caller_did_number": "",
          "callee_account_code": "",
          "callee_number": "",
          "callee_number_type": 1,
          "callee_name": "",
          "callee_did_number": "",
          "duration": 1,
          "download_url": "",
          "date_time": "",
          "user_id": "",
          "call_id": "",
          "call_log_id": "",
          "call_element_id": "",
          "end_time": "",
          "recording_type": "",
          "site": {
            "id": ""
          },
          "owner": {
            "type": "",
            "id": "",
            "name": "",
            "extension_number": 1,
            "has_access_permission": true
          },
          "direction": "inbound",
          "outgoing_by": {
            "name": "",
            "extension_number": ""
          },
          "accepted_by": {
            "name": "",
            "extension_number": ""
          }
        }
      ]
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string, possible values: "phone.recording_completed_for_access_member" — Event name.

  • event_ts (required)

    integer, format: int64 — The timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who recorded the call.

    • object (required)

      object

      • recordings (required)

        array

        Items:

        • callee_name (required)

          string — The name of the callee.

        • callee_number (required)

          string — The phone number of the callee.

        • callee_number_type (required)

          integer, possible values: 1, 2 — The phone number type of the callee. The value can be one of the following: * 1 - internal * 2 - external

        • caller_number (required)

          string — The phone number of the caller.

        • caller_number_type (required)

          integer, possible values: 1, 2 — The phone number type of the caller. The value can be one of the following: * 1 - internal * 2 - external

        • date_time (required)

          string, format: date-time — The start date and time of the call.

        • direction (required)

          string, possible values: "inbound", "outbound" — The direction of the call. The value of this field can either be inbound or outbound.

        • download_url (required)

          string — The URL to download the call recording. To download the recording via this URL, you must add an “access_token” query parameter to the download URL and provide either the user's OAuth access token or your app's **JWT** as the value of the “access_token” parameter. For example, if the value of this field is "https://zoom.us/v2/phone/recording/download/abcD666T”, the complete URL path to download the recording will be as below: https://zoom.us/v2/phone/recording/download/abcD666T?access_token={YOUR_ACCESS_TOKEN_HERE}

        • duration (required)

          integer — The duration of the call in seconds.

        • id (required)

          string — The recording ID is the unique Identifier of the call recording.

        • accepted_by

          object — The call-receiving user. The current recording must belong to the receiver and call queue for it to be available.

          • extension_number

            string — The user extension number.

          • name

            string — User name

        • call_element_id

          string — The call element id.

        • call_history_id

          string — The call history id.

        • call_id

          string — The unique identifier of the call.

        • call_log_id

          string — The call log id.

        • callee_account_code

          string — The callee's account code. To dial between accounts, use the format: [Account code] - [extension number].

        • callee_did_number

          string — The callee's DID number.

        • caller_account_code

          string — The caller's account code. To dial between accounts, use the format: [Account code] - [extension number].

        • caller_did_number

          string — The caller's DID number.

        • caller_name

          string — The name of the caller.

        • end_time

          string, format: date-time — The recording's end time.

        • outgoing_by

          object — The call-initiating user. The current recording must belong to the initiator and call queue for it to be available.

          • extension_number

            string — The user's extension number.

          • name

            string — The user name.

        • owner

          object — The owner of the call.

          • id (required)

            string — The owner ID.

          • name (required)

            string — The owner name.

          • type (required)

            string — The owner type. This value field can be user or callQueue.

          • extension_number

            integer — The extension number of the owner

          • has_access_permission

            boolean — Whether the owner has the access permission to this recording.

        • recording_type

          string — The recording type of the call. This value field can be OnDemand or Automatic.

        • site

          object — The site of the call.

          • id

            string — The site ID of the call.

        • user_id

          string — The unique identifier of the user.

Example:

{
  "event": "phone.recording_completed_for_access_member",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "recordings": [
        {
          "id": "",
          "caller_account_code": "",
          "caller_number": "",
          "caller_number_type": 1,
          "caller_name": "",
          "caller_did_number": "",
          "callee_account_code": "",
          "callee_number": "",
          "callee_number_type": 1,
          "callee_name": "",
          "callee_did_number": "",
          "duration": 1,
          "download_url": "",
          "date_time": "",
          "user_id": "",
          "call_id": "",
          "call_log_id": "",
          "call_element_id": "",
          "end_time": "",
          "recording_type": "",
          "site": {
            "id": ""
          },
          "owner": {
            "type": "",
            "id": "",
            "name": "",
            "extension_number": 1,
            "has_access_permission": true
          },
          "direction": "inbound",
          "outgoing_by": {
            "name": "",
            "extension_number": ""
          },
          "accepted_by": {
            "name": "",
            "extension_number": ""
          }
        }
      ]
    }
  }
}

POST phone.recording_resumed

  • Method: POST
  • Path: phone.recording_resumed
  • Tags: phone

Request Body

Content-Type: application/json
  • event (required)

    string — Name of the event.

  • event_ts (required)

    integer, format: int64 — Timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user.

    • object (required)

      object

      • call_id (required)

        string — Unique identifier of the call.

      • callee_number (required)

        string — Phone number or the extension number of the callee.

      • caller_number (required)

        string — Phone number or the extension number of the caller.

      • date_time (required)

        string, format: date-time — The time and date when the recording has resumed.

      • direction (required)

        string, possible values: "inbound", "outbound" — Direction of the call: inbound or outbound.

      • id (required)

        string — The recording ID.

      • owner (required)

        object — The owner of the recording.

        • extension_number (required)

          integer — Extension number of the owner

        • id (required)

          string — The owner ID.

        • name (required)

          string — Display name of the owner.

        • type (required)

          string, possible values: "user", "callQueue", "commonArea" — The owner type: user or callQueue.

      • recording_type (required)

        string, possible values: "OnDemand", "Automatic" — The type of the recording: OnDemand or Automatic.

      • user_id (required)

        string — The user ID.

      • callee_account_code

        string — The callee's account code. To dial between accounts, use the format: [Account code] - [extension number].

      • caller_account_code

        string — The caller's account code. To dial between accounts, use the format: [Account code] - [extension number].

Example:

{
  "event": "",
  "payload": {
    "account_id": "",
    "object": {
      "id": "",
      "user_id": "",
      "caller_account_code": "",
      "caller_number": "",
      "callee_account_code": "",
      "callee_number": "",
      "direction": "inbound",
      "date_time": "",
      "recording_type": "OnDemand",
      "call_id": "",
      "owner": {
        "type": "user",
        "id": "",
        "name": "",
        "extension_number": 1,
        "additionalProperty": "anything"
      },
      "additionalProperty": "anything"
    }
  },
  "event_ts": 1
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — Name of the event.

  • event_ts (required)

    integer, format: int64 — Timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user.

    • object (required)

      object

      • call_id (required)

        string — Unique identifier of the call.

      • callee_number (required)

        string — Phone number or the extension number of the callee.

      • caller_number (required)

        string — Phone number or the extension number of the caller.

      • date_time (required)

        string, format: date-time — The time and date when the recording has resumed.

      • direction (required)

        string, possible values: "inbound", "outbound" — Direction of the call: inbound or outbound.

      • id (required)

        string — The recording ID.

      • owner (required)

        object — The owner of the recording.

        • extension_number (required)

          integer — Extension number of the owner

        • id (required)

          string — The owner ID.

        • name (required)

          string — Display name of the owner.

        • type (required)

          string, possible values: "user", "callQueue", "commonArea" — The owner type: user or callQueue.

      • recording_type (required)

        string, possible values: "OnDemand", "Automatic" — The type of the recording: OnDemand or Automatic.

      • user_id (required)

        string — The user ID.

      • callee_account_code

        string — The callee's account code. To dial between accounts, use the format: [Account code] - [extension number].

      • caller_account_code

        string — The caller's account code. To dial between accounts, use the format: [Account code] - [extension number].

Example:

{
  "event": "",
  "payload": {
    "account_id": "",
    "object": {
      "id": "",
      "user_id": "",
      "caller_account_code": "",
      "caller_number": "",
      "callee_account_code": "",
      "callee_number": "",
      "direction": "inbound",
      "date_time": "",
      "recording_type": "OnDemand",
      "call_id": "",
      "owner": {
        "type": "user",
        "id": "",
        "name": "",
        "extension_number": 1,
        "additionalProperty": "anything"
      },
      "additionalProperty": "anything"
    }
  },
  "event_ts": 1
}

POST phone.fax_log_deleted

  • Method: POST
  • Path: phone.fax_log_deleted
  • Tags: phone

Request Body

Content-Type: application/json
  • event (required)

    string, possible values: "phone.fax_log_deleted" — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp, in milliseconds since epoch, at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The owner account ID.

    • object (required)

      object — object

      • fax_logs (required)

        array — The deleted fax logs information.

        Items:

        • fax_log_id (required)

          string — The unique fax log ID.

Example:

{
  "event": "phone.fax_log_deleted",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "fax_logs": [
        {
          "fax_log_id": ""
        }
      ]
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string, possible values: "phone.fax_log_deleted" — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp, in milliseconds since epoch, at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The owner account ID.

    • object (required)

      object — object

      • fax_logs (required)

        array — The deleted fax logs information.

        Items:

        • fax_log_id (required)

          string — The unique fax log ID.

Example:

{
  "event": "phone.fax_log_deleted",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "fax_logs": [
        {
          "fax_log_id": ""
        }
      ]
    }
  }
}

POST phone.fax_log_permanently_deleted

  • Method: POST
  • Path: phone.fax_log_permanently_deleted
  • Tags: phone

Request Body

Content-Type: application/json
  • event (required)

    string, possible values: "phone.fax_log_permanently_deleted" — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp, in milliseconds since epoch, at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The owner account ID.

    • object (required)

      object — object

      • fax_logs (required)

        array — The list of permanently deleted fax logs.

        Items:

        • fax_log_id (required)

          string — The unique fax log ID.

Example:

{
  "event": "phone.fax_log_permanently_deleted",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "fax_logs": [
        {
          "fax_log_id": ""
        }
      ]
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string, possible values: "phone.fax_log_permanently_deleted" — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp, in milliseconds since epoch, at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The owner account ID.

    • object (required)

      object — object

      • fax_logs (required)

        array — The list of permanently deleted fax logs.

        Items:

        • fax_log_id (required)

          string — The unique fax log ID.

Example:

{
  "event": "phone.fax_log_permanently_deleted",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "fax_logs": [
        {
          "fax_log_id": ""
        }
      ]
    }
  }
}

POST phone.transfer_recipient_updated

  • Method: POST
  • Path: phone.transfer_recipient_updated
  • Tags: phone

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — The timestamp in milliseconds since epoch when the event occurred, in int64 format.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user.

    • object (required)

      object

      • call_id (required)

        string — The unique identifier for the call.

      • date_time (required)

        string — The date and time (GMT) when the recipient of the warm/blind transfer call was updated, in yyyy-MM-dd'T'HH:mm:ss'Z' format.

      • recipient (required)

        object — The recipient who received the warm/blind transfer call from the event owner.

        • extension_number

          integer, format: int64 — The recipient's extension number.

        • name

          string — The name of the recipient.

        • phone_number

          string — The phone number of the recipient in E164 format.

      • failure_reason

        string — The reason why the recipient update for the warm/blind transfer call failed. An empty string indicates success.

      • owner

        object — The owner of this event.

        • extension_number

          integer, format: int64 — The owner's extension number.

        • id

          string — The unique identifier for the owner.

        • name

          string — The name of the owner.

        • type

          string, possible values: "user", "callQueue", "autoReceptionist", "commonArea", "sharedLineGroup", "zoomRoom", "ciscoRoom/PolycomRoom", "contactCenter", "pstn", "five9", "twilio" — The extension type of the owner.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "failure_reason": "",
      "call_id": "",
      "owner": {
        "extension_number": "1001019",
        "id": "z8yCxjabcdEFGHfp8uQ",
        "name": "Tom Jones",
        "type": "user"
      },
      "recipient": {
        "extension_number": "1001020",
        "phone_number": "+12192818492",
        "name": "Jane Smith"
      },
      "date_time": ""
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — The timestamp in milliseconds since epoch when the event occurred, in int64 format.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user.

    • object (required)

      object

      • call_id (required)

        string — The unique identifier for the call.

      • date_time (required)

        string — The date and time (GMT) when the recipient of the warm/blind transfer call was updated, in yyyy-MM-dd'T'HH:mm:ss'Z' format.

      • recipient (required)

        object — The recipient who received the warm/blind transfer call from the event owner.

        • extension_number

          integer, format: int64 — The recipient's extension number.

        • name

          string — The name of the recipient.

        • phone_number

          string — The phone number of the recipient in E164 format.

      • failure_reason

        string — The reason why the recipient update for the warm/blind transfer call failed. An empty string indicates success.

      • owner

        object — The owner of this event.

        • extension_number

          integer, format: int64 — The owner's extension number.

        • id

          string — The unique identifier for the owner.

        • name

          string — The name of the owner.

        • type

          string, possible values: "user", "callQueue", "autoReceptionist", "commonArea", "sharedLineGroup", "zoomRoom", "ciscoRoom/PolycomRoom", "contactCenter", "pstn", "five9", "twilio" — The extension type of the owner.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "failure_reason": "",
      "call_id": "",
      "owner": {
        "extension_number": "1001019",
        "id": "z8yCxjabcdEFGHfp8uQ",
        "name": "Tom Jones",
        "type": "user"
      },
      "recipient": {
        "extension_number": "1001020",
        "phone_number": "+12192818492",
        "name": "Jane Smith"
      },
      "date_time": ""
    }
  }
}

POST phone.recording_transcript_completed

  • Method: POST
  • Path: phone.recording_transcript_completed
  • Tags: phone

Request Body

Content-Type: application/json
  • event (required)

    string, possible values: "phone.recording_transcript_completed" — Event name.

  • event_ts (required)

    integer, format: int64 — Timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format.

  • payload (required)

    object

    • account_id (required)

      string — Account ID of the user who recorded the call.

    • object (required)

      object

      • recordings (required)

        array

        Items:

        • callee_name (required)

          string — Name of the callee.

        • callee_number (required)

          string — Phone number of the callee.

        • callee_number_type (required)

          integer, possible values: 1, 2 — Phone number type of the callee. The value can be one of the following: * 1 - internal * 2 - external

        • caller_number (required)

          string — Phone number of the caller.

        • caller_number_type (required)

          integer, possible values: 1, 2 — Phone number type of the caller. The value can be one of the following: * 1 - internal * 2 - external

        • date_time (required)

          string, format: date-time — Start date and time of the call.

        • direction (required)

          string, possible values: "inbound", "outbound" — Direction of the call. The value of this field can either be inbound or outbound.

        • id (required)

          string — Recording ID: Unique Identifier of the call recording.

        • transcript_download_url (required)

          string — URL using which the call recording transcript can be downloaded. To download the recording transcript via this URL, you must add an “access_token” query parameter to the download URL and provide either the user's OAuth access token or your app's **JWT** as the value of the “access_token” parameter. For example, if the value of this field is "https://zoom.us/v2/phone/recording_transcript/download/abcD666T”, the complete URL path to download the recording trancsript will be as below: https://zoom.us/v2/phone/recording_transcript/download/abcD666T?access_token={YOUR_ACCESS_TOKEN_HERE}

        • accepted_by

          object — The call-receiving user. The current recording must belong to the receiver and call queue for it to be available.

          • extension_number

            string — User extension number

          • name

            string — User name

        • call_id

          string — Unique identifier of the call.

        • call_log_id

          string — Call log id.

        • callee_account_code

          string — The callee's account code. To dial between accounts, use the format: [Account code] - [extension number].

        • caller_account_code

          string — The caller's account code. To dial between accounts, use the format: [Account code] - [extension number].

        • caller_name

          string — Name of the caller.

        • duration

          integer — Duration of the call in seconds.

        • end_time

          string, format: date-time — The recording's end time.

        • outgoing_by

          object — The call-initiating user. The current recording must belong to the initiator and call queue for it to be available.

          • extension_number

            string — User extension number

          • name

            string — User name

        • owner

          object — Owner of the call.

          • id (required)

            string — Owner id.

          • name (required)

            string — Owner name.

          • type (required)

            string — Owner type. This value field can be user or callQueue.

          • extension_number

            integer — Extension number of the owner

        • recording_type

          string — Recording type of the call. This value field can be OnDemand or Automatic.

        • site

          object — Site of the call.

          • id (required)

            string — Site ID of the call.

        • user_id

          string — Unique identifier of the user.

Example:

{
  "event": "phone.recording_transcript_completed",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "recordings": [
        {
          "id": "",
          "caller_account_code": "",
          "caller_number": "",
          "caller_number_type": 1,
          "caller_name": "",
          "callee_account_code": "",
          "callee_number": "",
          "callee_number_type": 1,
          "callee_name": "",
          "duration": 1,
          "transcript_download_url": "",
          "date_time": "",
          "user_id": "",
          "call_id": "",
          "call_log_id": "",
          "end_time": "",
          "recording_type": "",
          "site": {
            "id": ""
          },
          "owner": {
            "type": "",
            "id": "",
            "name": "",
            "extension_number": 1
          },
          "direction": "inbound",
          "outgoing_by": {
            "name": "",
            "extension_number": ""
          },
          "accepted_by": {
            "name": "",
            "extension_number": ""
          }
        }
      ]
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string, possible values: "phone.recording_transcript_completed" — Event name.

  • event_ts (required)

    integer, format: int64 — Timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format.

  • payload (required)

    object

    • account_id (required)

      string — Account ID of the user who recorded the call.

    • object (required)

      object

      • recordings (required)

        array

        Items:

        • callee_name (required)

          string — Name of the callee.

        • callee_number (required)

          string — Phone number of the callee.

        • callee_number_type (required)

          integer, possible values: 1, 2 — Phone number type of the callee. The value can be one of the following: * 1 - internal * 2 - external

        • caller_number (required)

          string — Phone number of the caller.

        • caller_number_type (required)

          integer, possible values: 1, 2 — Phone number type of the caller. The value can be one of the following: * 1 - internal * 2 - external

        • date_time (required)

          string, format: date-time — Start date and time of the call.

        • direction (required)

          string, possible values: "inbound", "outbound" — Direction of the call. The value of this field can either be inbound or outbound.

        • id (required)

          string — Recording ID: Unique Identifier of the call recording.

        • transcript_download_url (required)

          string — URL using which the call recording transcript can be downloaded. To download the recording transcript via this URL, you must add an “access_token” query parameter to the download URL and provide either the user's OAuth access token or your app's **JWT** as the value of the “access_token” parameter. For example, if the value of this field is "https://zoom.us/v2/phone/recording_transcript/download/abcD666T”, the complete URL path to download the recording trancsript will be as below: https://zoom.us/v2/phone/recording_transcript/download/abcD666T?access_token={YOUR_ACCESS_TOKEN_HERE}

        • accepted_by

          object — The call-receiving user. The current recording must belong to the receiver and call queue for it to be available.

          • extension_number

            string — User extension number

          • name

            string — User name

        • call_id

          string — Unique identifier of the call.

        • call_log_id

          string — Call log id.

        • callee_account_code

          string — The callee's account code. To dial between accounts, use the format: [Account code] - [extension number].

        • caller_account_code

          string — The caller's account code. To dial between accounts, use the format: [Account code] - [extension number].

        • caller_name

          string — Name of the caller.

        • duration

          integer — Duration of the call in seconds.

        • end_time

          string, format: date-time — The recording's end time.

        • outgoing_by

          object — The call-initiating user. The current recording must belong to the initiator and call queue for it to be available.

          • extension_number

            string — User extension number

          • name

            string — User name

        • owner

          object — Owner of the call.

          • id (required)

            string — Owner id.

          • name (required)

            string — Owner name.

          • type (required)

            string — Owner type. This value field can be user or callQueue.

          • extension_number

            integer — Extension number of the owner

        • recording_type

          string — Recording type of the call. This value field can be OnDemand or Automatic.

        • site

          object — Site of the call.

          • id (required)

            string — Site ID of the call.

        • user_id

          string — Unique identifier of the user.

Example:

{
  "event": "phone.recording_transcript_completed",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "recordings": [
        {
          "id": "",
          "caller_account_code": "",
          "caller_number": "",
          "caller_number_type": 1,
          "caller_name": "",
          "callee_account_code": "",
          "callee_number": "",
          "callee_number_type": 1,
          "callee_name": "",
          "duration": 1,
          "transcript_download_url": "",
          "date_time": "",
          "user_id": "",
          "call_id": "",
          "call_log_id": "",
          "end_time": "",
          "recording_type": "",
          "site": {
            "id": ""
          },
          "owner": {
            "type": "",
            "id": "",
            "name": "",
            "extension_number": 1
          },
          "direction": "inbound",
          "outgoing_by": {
            "name": "",
            "extension_number": ""
          },
          "accepted_by": {
            "name": "",
            "extension_number": ""
          }
        }
      ]
    }
  }
}

POST phone.call_log_permanently_deleted

  • Method: POST
  • Path: phone.call_log_permanently_deleted
  • Tags: phone

Request Body

Content-Type: application/json
  • event (required)

    string, possible values: "phone.call_log_permanently_deleted" — The event name.

  • event_ts (required)

    integer, format: int64 — The timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the call log.

    • object (required)

      object

      • call_logs (required)

        array

        Items:

        • call_id (required)

          string — The unique identifier of the call.

        • id (required)

          string — The unique identifier of the call log.

      • user_id (required)

        string — The user ID of the call log owner.

Example:

{
  "event": "phone.call_log_permanently_deleted",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "user_id": "",
      "call_logs": [
        {
          "id": "",
          "call_id": ""
        }
      ]
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string, possible values: "phone.call_log_permanently_deleted" — The event name.

  • event_ts (required)

    integer, format: int64 — The timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the call log.

    • object (required)

      object

      • call_logs (required)

        array

        Items:

        • call_id (required)

          string — The unique identifier of the call.

        • id (required)

          string — The unique identifier of the call log.

      • user_id (required)

        string — The user ID of the call log owner.

Example:

{
  "event": "phone.call_log_permanently_deleted",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "user_id": "",
      "call_logs": [
        {
          "id": "",
          "call_id": ""
        }
      ]
    }
  }
}

POST phone.transfer_call_to_voicemail_initiated

  • Method: POST
  • Path: phone.transfer_call_to_voicemail_initiated
  • Tags: phone

Request Body

Content-Type: application/json
  • event (required)

    string, possible values: "phone.transfer_call_to_voicemail_initiated" — The name of the event.

  • event_ts (required)

    integer, format: int64 — The long (int64) format timestamp in milliseconds since epoch when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user.

    • object (required)

      object

      • call_id (required)

        string — The call's unique ID.

      • date_time (required)

        string — The date and time (GMT) at which the transfer call to voicemail was completed, in yyyy-MM-dd'T'HH:mm:ss'Z' format.

      • transfer_phone_number (required)

        string — The phone number required for the transfer call to voicemail. It may be the user's phone number, extension number or the user's phone number that displays in E164 format.

      • failure_reason

        string — The failure reason for transfer call to voicemail. If it is an empty string, it means success.

      • owner

        object

        • extension_number

          integer — The owner's extension number.

        • id

          string — The owner ID.

        • name

          string — The owner name.

        • type

          string, possible values: "user", "callQueue", "autoReceptionist", "commonAreaPhone", "sharedLineGroup" — The owner type: *user *callQueue *autoReceptionist *commonAreaPhone *sharedLineGroup

      • transfer_account_code

        string — The transfer account code. To transfer a call between accounts, use the format: [Account code] - [extension number].

Example:

{
  "event": "phone.transfer_call_to_voicemail_initiated",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "failure_reason": "",
      "call_id": "",
      "transfer_account_code": "",
      "transfer_phone_number": "",
      "owner": {
        "extension_number": "1000001019",
        "id": "N3hAhug-QVyFPYZJrHpRaQ",
        "name": "123@test.com",
        "type": "user"
      },
      "date_time": ""
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string, possible values: "phone.transfer_call_to_voicemail_initiated" — The name of the event.

  • event_ts (required)

    integer, format: int64 — The long (int64) format timestamp in milliseconds since epoch when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user.

    • object (required)

      object

      • call_id (required)

        string — The call's unique ID.

      • date_time (required)

        string — The date and time (GMT) at which the transfer call to voicemail was completed, in yyyy-MM-dd'T'HH:mm:ss'Z' format.

      • transfer_phone_number (required)

        string — The phone number required for the transfer call to voicemail. It may be the user's phone number, extension number or the user's phone number that displays in E164 format.

      • failure_reason

        string — The failure reason for transfer call to voicemail. If it is an empty string, it means success.

      • owner

        object

        • extension_number

          integer — The owner's extension number.

        • id

          string — The owner ID.

        • name

          string — The owner name.

        • type

          string, possible values: "user", "callQueue", "autoReceptionist", "commonAreaPhone", "sharedLineGroup" — The owner type: *user *callQueue *autoReceptionist *commonAreaPhone *sharedLineGroup

      • transfer_account_code

        string — The transfer account code. To transfer a call between accounts, use the format: [Account code] - [extension number].

Example:

{
  "event": "phone.transfer_call_to_voicemail_initiated",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "failure_reason": "",
      "call_id": "",
      "transfer_account_code": "",
      "transfer_phone_number": "",
      "owner": {
        "extension_number": "1000001019",
        "id": "N3hAhug-QVyFPYZJrHpRaQ",
        "name": "123@test.com",
        "type": "user"
      },
      "date_time": ""
    }
  }
}

POST phone.callee_missed

  • Method: POST
  • Path: phone.callee_missed
  • Tags: phone

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — The timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long (int64) format.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the callee.

    • object (required)

      object

      • call_end_time (required)

        string — The GMT time at which the call was ended, in "yyyy-MM-dd'T'HH:mm:ss'Z'" format.

      • call_id (required)

        string — The unique identifier of the call.

      • callee (required)

        object — Callee object: Represents the person who is called by the caller.

        • phone_number (required)

          string — The phone number of the callee in E164 format. Example: +12192818492 Note: phone_number and extension_number can't be empty at the same time.

        • account_code

          string — The callee's account code. To dial between accounts, use the format: [Account code] - [extension number].

        • connection_type

          string, possible values: "pstn_off_net", "voip", "pstn_on_net", "contact_center", "byop" — The connection type.

        • device_id

          string — Zoom clients generate an ID when installed on a device. <b>Note:</b> Does not apply to desk phones.

        • extension_id

          string — The extension ID of the callee.

        • extension_number

          integer, format: int64 — The extension number of the callee.

        • extension_type

          string, possible values: "user", "callQueue", "autoReceptionist", "commonArea", "commonAreaPhone", "sharedLineGroup", "zoomRoom", "ciscoRoom/PolycomRoom", "contactCenter", "pstn", "five9", "twilio" — The extension type of the callee.

        • timezone

          string — The timezone of the callee.

        • user_id

          string — The Zoom user ID of the callee.

      • caller (required)

        object — Caller object: Represents the person who initiated the call.

        • phone_number (required)

          string — The phone number of the caller in E164 format. Example: +12192818492

        • account_code

          string — The caller's account code. To dial between accounts, use the format: [Account code] - [extension number].

        • connection_type

          string, possible values: "pstn_off_net", "voip", "pstn_on_net", "contact_center", "byop" — The connection type.

        • extension_id

          string — The extension ID of the caller.

        • extension_number

          integer, format: int64 — The extension number of the caller.

        • extension_type

          string, possible values: "user", "callQueue", "autoReceptionist", "commonArea", "commonAreaPhone", "sharedLineGroup", "zoomRoom", "ciscoRoom/PolycomRoom", "contactCenter", "pstn", "five9", "twilio" — The extension type of the caller.

        • timezone

          string — The timezone of the caller.

        • user_id

          string — The Zoom user ID of the caller.

      • ringing_start_time (required)

        string — The GMT time at which the ringing started in "yyyy-MM-dd'T'HH:mm:ss'Z'" format.

      • forwarded_by

        object — The webhook displays this field if the call was routed from a call queue, shared line group, shared lines, or auto receptionist. See [Setting up call delegation](https://support.zoom.us/hc/en-us/articles/360032881731-Setting-up-call-delegation) for more information.

        • extension_number

          string — The extension number the call was forwarded from.

        • extension_type

          string — The type of extension the call was forwarded from. Values: callQueue | sharedLineGroup | sharedLines | autoReceptionist

        • name

          string — The name of the extension the call was forwarded from.

      • handup_result

        string — The reason the call was missed. Values: No Answer | Busy | Call Cancel

      • redirect_forwarded_by

        object — The webhook displays this field if the call was indirectly routed from an auto receptionist. A routing path example is selected as A->auto receptionist->call queue->B, where A and B are users. In this case, the call is indirectly forwarded by auto receptionist.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "call_id": "",
      "callee": {
        "extension_id": "",
        "extension_type": "user",
        "user_id": "",
        "phone_number": "",
        "account_code": "",
        "extension_number": 1,
        "timezone": "",
        "device_id": "",
        "connection_type": "pstn_off_net"
      },
      "caller": {
        "extension_id": "",
        "extension_type": "user",
        "phone_number": "",
        "user_id": "",
        "account_code": "",
        "extension_number": 1,
        "timezone": "",
        "connection_type": "pstn_off_net"
      },
      "ringing_start_time": "",
      "call_end_time": "",
      "forwarded_by": {
        "name": "",
        "extension_number": "",
        "extension_type": ""
      },
      "redirect_forwarded_by": {},
      "handup_result": ""
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — The timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long (int64) format.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the callee.

    • object (required)

      object

      • call_end_time (required)

        string — The GMT time at which the call was ended, in "yyyy-MM-dd'T'HH:mm:ss'Z'" format.

      • call_id (required)

        string — The unique identifier of the call.

      • callee (required)

        object — Callee object: Represents the person who is called by the caller.

        • phone_number (required)

          string — The phone number of the callee in E164 format. Example: +12192818492 Note: phone_number and extension_number can't be empty at the same time.

        • account_code

          string — The callee's account code. To dial between accounts, use the format: [Account code] - [extension number].

        • connection_type

          string, possible values: "pstn_off_net", "voip", "pstn_on_net", "contact_center", "byop" — The connection type.

        • device_id

          string — Zoom clients generate an ID when installed on a device. <b>Note:</b> Does not apply to desk phones.

        • extension_id

          string — The extension ID of the callee.

        • extension_number

          integer, format: int64 — The extension number of the callee.

        • extension_type

          string, possible values: "user", "callQueue", "autoReceptionist", "commonArea", "commonAreaPhone", "sharedLineGroup", "zoomRoom", "ciscoRoom/PolycomRoom", "contactCenter", "pstn", "five9", "twilio" — The extension type of the callee.

        • timezone

          string — The timezone of the callee.

        • user_id

          string — The Zoom user ID of the callee.

      • caller (required)

        object — Caller object: Represents the person who initiated the call.

        • phone_number (required)

          string — The phone number of the caller in E164 format. Example: +12192818492

        • account_code

          string — The caller's account code. To dial between accounts, use the format: [Account code] - [extension number].

        • connection_type

          string, possible values: "pstn_off_net", "voip", "pstn_on_net", "contact_center", "byop" — The connection type.

        • extension_id

          string — The extension ID of the caller.

        • extension_number

          integer, format: int64 — The extension number of the caller.

        • extension_type

          string, possible values: "user", "callQueue", "autoReceptionist", "commonArea", "commonAreaPhone", "sharedLineGroup", "zoomRoom", "ciscoRoom/PolycomRoom", "contactCenter", "pstn", "five9", "twilio" — The extension type of the caller.

        • timezone

          string — The timezone of the caller.

        • user_id

          string — The Zoom user ID of the caller.

      • ringing_start_time (required)

        string — The GMT time at which the ringing started in "yyyy-MM-dd'T'HH:mm:ss'Z'" format.

      • forwarded_by

        object — The webhook displays this field if the call was routed from a call queue, shared line group, shared lines, or auto receptionist. See [Setting up call delegation](https://support.zoom.us/hc/en-us/articles/360032881731-Setting-up-call-delegation) for more information.

        • extension_number

          string — The extension number the call was forwarded from.

        • extension_type

          string — The type of extension the call was forwarded from. Values: callQueue | sharedLineGroup | sharedLines | autoReceptionist

        • name

          string — The name of the extension the call was forwarded from.

      • handup_result

        string — The reason the call was missed. Values: No Answer | Busy | Call Cancel

      • redirect_forwarded_by

        object — The webhook displays this field if the call was indirectly routed from an auto receptionist. A routing path example is selected as A->auto receptionist->call queue->B, where A and B are users. In this case, the call is indirectly forwarded by auto receptionist.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "call_id": "",
      "callee": {
        "extension_id": "",
        "extension_type": "user",
        "user_id": "",
        "phone_number": "",
        "account_code": "",
        "extension_number": 1,
        "timezone": "",
        "device_id": "",
        "connection_type": "pstn_off_net"
      },
      "caller": {
        "extension_id": "",
        "extension_type": "user",
        "phone_number": "",
        "user_id": "",
        "account_code": "",
        "extension_number": 1,
        "timezone": "",
        "connection_type": "pstn_off_net"
      },
      "ringing_start_time": "",
      "call_end_time": "",
      "forwarded_by": {
        "name": "",
        "extension_number": "",
        "extension_type": ""
      },
      "redirect_forwarded_by": {},
      "handup_result": ""
    }
  }
}

POST phone.caller_ringing

  • Method: POST
  • Path: phone.caller_ringing
  • Tags: phone

Request Body

Content-Type: application/json
  • event (required)

    string — Name of the event.

  • event_ts (required)

    integer, format: int64 — Timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format.

  • payload (required)

    object

    • account_id (required)

      string — Account ID of the caller.

    • object (required)

      object

      • call_id (required)

        string — Unique identifier of the call.

      • callee (required)

        object — Callee object: Represents the person who is called by the caller.

        • account_code

          string — The callee's account code. To dial between accounts, use the format: [Account code] - [extension number].

        • connection_type

          string, possible values: "pstn_off_net", "voip", "pstn_on_net", "contact_center", "byop" — The connection type.

        • extension_id

          string — Extension ID of the callee.

        • extension_number

          integer, format: int64 — Extension number of the callee.

        • extension_type

          string, possible values: "user", "callQueue", "autoReceptionist", "commonArea", "commonAreaPhone", "sharedLineGroup", "zoomRoom", "ciscoRoom/PolycomRoom", "contactCenter", "pstn", "five9", "twilio" — Extension type of the callee.

        • name

          string — Callee's user name.

        • phone_number

          string — Phone number of the callee in E164 format. Example: +12192818492

      • caller (required)

        object — Caller object: Represents the person who initiated the call.

        • phone_number (required)

          string — Phone number of the caller in E164 format. Example: +12192818492

        • account_code

          string — The caller's account code. To dial between accounts, use the format: [Account code] - [extension number].

        • connection_type

          string, possible values: "pstn_off_net", "voip", "pstn_on_net", "contact_center", "byop" — The connection type.

        • device_id

          string — The device ID.

        • device_name

          string — The name of device on which the Zoom Client is installed.

        • device_type

          string — Device type of the caller.

        • extension_id

          string — Extension ID of the caller.

        • extension_number

          integer, format: int64 — Extension number of the caller.

        • extension_type

          string, possible values: "user", "callQueue", "autoReceptionist", "commonArea", "commonAreaPhone", "sharedLineGroup", "zoomRoom", "ciscoRoom/PolycomRoom", "contactCenter", "pstn", "five9", "twilio" — Extension type of the caller.

        • name

          string — Caller's user name.

        • timezone

          string — Timezone of the caller.

        • user_id

          string — Zoom User ID of the caller.

      • ringing_start_time (required)

        string — The GMT time at which the ringing started in "yyyy-MM-dd'T'HH:mm:ss'Z'" format.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "call_id": "",
      "caller": {
        "extension_id": "",
        "extension_type": "user",
        "user_id": "",
        "name": "",
        "phone_number": "",
        "account_code": "",
        "extension_number": 1,
        "timezone": "",
        "device_type": "",
        "device_name": "",
        "device_id": "",
        "connection_type": "pstn_off_net"
      },
      "callee": {
        "extension_id": "",
        "extension_type": "user",
        "name": "",
        "phone_number": "",
        "account_code": "",
        "extension_number": 1,
        "connection_type": "pstn_off_net"
      },
      "ringing_start_time": ""
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — Name of the event.

  • event_ts (required)

    integer, format: int64 — Timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format.

  • payload (required)

    object

    • account_id (required)

      string — Account ID of the caller.

    • object (required)

      object

      • call_id (required)

        string — Unique identifier of the call.

      • callee (required)

        object — Callee object: Represents the person who is called by the caller.

        • account_code

          string — The callee's account code. To dial between accounts, use the format: [Account code] - [extension number].

        • connection_type

          string, possible values: "pstn_off_net", "voip", "pstn_on_net", "contact_center", "byop" — The connection type.

        • extension_id

          string — Extension ID of the callee.

        • extension_number

          integer, format: int64 — Extension number of the callee.

        • extension_type

          string, possible values: "user", "callQueue", "autoReceptionist", "commonArea", "commonAreaPhone", "sharedLineGroup", "zoomRoom", "ciscoRoom/PolycomRoom", "contactCenter", "pstn", "five9", "twilio" — Extension type of the callee.

        • name

          string — Callee's user name.

        • phone_number

          string — Phone number of the callee in E164 format. Example: +12192818492

      • caller (required)

        object — Caller object: Represents the person who initiated the call.

        • phone_number (required)

          string — Phone number of the caller in E164 format. Example: +12192818492

        • account_code

          string — The caller's account code. To dial between accounts, use the format: [Account code] - [extension number].

        • connection_type

          string, possible values: "pstn_off_net", "voip", "pstn_on_net", "contact_center", "byop" — The connection type.

        • device_id

          string — The device ID.

        • device_name

          string — The name of device on which the Zoom Client is installed.

        • device_type

          string — Device type of the caller.

        • extension_id

          string — Extension ID of the caller.

        • extension_number

          integer, format: int64 — Extension number of the caller.

        • extension_type

          string, possible values: "user", "callQueue", "autoReceptionist", "commonArea", "commonAreaPhone", "sharedLineGroup", "zoomRoom", "ciscoRoom/PolycomRoom", "contactCenter", "pstn", "five9", "twilio" — Extension type of the caller.

        • name

          string — Caller's user name.

        • timezone

          string — Timezone of the caller.

        • user_id

          string — Zoom User ID of the caller.

      • ringing_start_time (required)

        string — The GMT time at which the ringing started in "yyyy-MM-dd'T'HH:mm:ss'Z'" format.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "call_id": "",
      "caller": {
        "extension_id": "",
        "extension_type": "user",
        "user_id": "",
        "name": "",
        "phone_number": "",
        "account_code": "",
        "extension_number": 1,
        "timezone": "",
        "device_type": "",
        "device_name": "",
        "device_id": "",
        "connection_type": "pstn_off_net"
      },
      "callee": {
        "extension_id": "",
        "extension_type": "user",
        "name": "",
        "phone_number": "",
        "account_code": "",
        "extension_number": 1,
        "connection_type": "pstn_off_net"
      },
      "ringing_start_time": ""
    }
  }
}

POST phone.voicemail_received

  • Method: POST
  • Path: phone.voicemail_received
  • Tags: phone

Request Body

Content-Type: application/json
  • event (required)

    string, possible values: "phone.voicemail_received" — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp, in milliseconds since epoch, at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The callee's account ID.

    • object (required)

      object

      • callee_extension_type (required)

        string, possible values: "user", "callQueue", "autoReceptionist", "sharedLineGroup" — The callee's extension type: * user * callQueue * autoReceptionist * shareLineGroup

      • callee_id (required)

        string — The callee's ID. Depending on the type of extension, this value can be one of the following: * For a regular user (user) — callee_id is the same as callee_user_id. * For call queue (callQueue) — callee_id is the same as the call queue group_id value. * For an auto-receptionist (autoReceptionist) — callee_id is the same as auto_receptionist_id. * For a shared line group (shareLineGroup) — callee_id is the same as share_line_group_id.

      • callee_name (required)

        string — The callee's name.

      • callee_number (required)

        string — The callee's phone number.

      • callee_number_type (required)

        integer, possible values: 1, 2 — The callee's number type: * 1 — Internal. * 2 — External.

      • caller_name (required)

        string — The caller's name.

      • caller_number (required)

        string — The caller's phone number.

      • caller_number_type (required)

        integer, possible values: 1, 2 — The caller's number type: * 1 — Internal. * 2 — External.

      • date_time (required)

        string, format: date-time — The date and time at which the voicemail was received.

      • download_url (required)

        string, format: url — The URL at which the voicemail can be downloaded.

      • duration (required)

        integer — The duration of the voicemail.

      • id (required)

        string — The voicemail's unique ID.

      • call_element_id

        string — The call element id.

      • call_history_id

        string — The call history id.

      • call_id

        string — The call's unique ID.

      • call_log_id

        string — Unique identifier of the phone call log.

      • callee_account_code

        string — The callee's account code. To dial between accounts, use the format: [Account code] - [extension number].

      • callee_did_number

        string — Callee's DID number.

      • callee_user_id

        string — The callee's user ID.

      • caller_account_code

        string — The caller's account code. To dial between accounts, use the format: [Account code] - [extension number].

      • caller_did_number

        string — Caller's DID number.

      • caller_user_id

        string — The caller's user ID. This field will only exist if the caller is a user of this account.

Example:

{
  "event": "phone.voicemail_received",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "id": "",
      "date_time": "",
      "download_url": "",
      "duration": 1,
      "caller_user_id": "",
      "caller_account_code": "",
      "caller_number": "",
      "caller_number_type": 1,
      "caller_name": "",
      "caller_did_number": "",
      "callee_user_id": "",
      "callee_account_code": "",
      "callee_number": "",
      "callee_number_type": 1,
      "callee_name": "",
      "callee_did_number": "",
      "callee_extension_type": "user",
      "callee_id": "",
      "call_log_id": "",
      "call_history_id": "",
      "call_element_id": "",
      "call_id": ""
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string, possible values: "phone.voicemail_received" — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp, in milliseconds since epoch, at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The callee's account ID.

    • object (required)

      object

      • callee_extension_type (required)

        string, possible values: "user", "callQueue", "autoReceptionist", "sharedLineGroup" — The callee's extension type: * user * callQueue * autoReceptionist * shareLineGroup

      • callee_id (required)

        string — The callee's ID. Depending on the type of extension, this value can be one of the following: * For a regular user (user) — callee_id is the same as callee_user_id. * For call queue (callQueue) — callee_id is the same as the call queue group_id value. * For an auto-receptionist (autoReceptionist) — callee_id is the same as auto_receptionist_id. * For a shared line group (shareLineGroup) — callee_id is the same as share_line_group_id.

      • callee_name (required)

        string — The callee's name.

      • callee_number (required)

        string — The callee's phone number.

      • callee_number_type (required)

        integer, possible values: 1, 2 — The callee's number type: * 1 — Internal. * 2 — External.

      • caller_name (required)

        string — The caller's name.

      • caller_number (required)

        string — The caller's phone number.

      • caller_number_type (required)

        integer, possible values: 1, 2 — The caller's number type: * 1 — Internal. * 2 — External.

      • date_time (required)

        string, format: date-time — The date and time at which the voicemail was received.

      • download_url (required)

        string, format: url — The URL at which the voicemail can be downloaded.

      • duration (required)

        integer — The duration of the voicemail.

      • id (required)

        string — The voicemail's unique ID.

      • call_element_id

        string — The call element id.

      • call_history_id

        string — The call history id.

      • call_id

        string — The call's unique ID.

      • call_log_id

        string — Unique identifier of the phone call log.

      • callee_account_code

        string — The callee's account code. To dial between accounts, use the format: [Account code] - [extension number].

      • callee_did_number

        string — Callee's DID number.

      • callee_user_id

        string — The callee's user ID.

      • caller_account_code

        string — The caller's account code. To dial between accounts, use the format: [Account code] - [extension number].

      • caller_did_number

        string — Caller's DID number.

      • caller_user_id

        string — The caller's user ID. This field will only exist if the caller is a user of this account.

Example:

{
  "event": "phone.voicemail_received",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "id": "",
      "date_time": "",
      "download_url": "",
      "duration": 1,
      "caller_user_id": "",
      "caller_account_code": "",
      "caller_number": "",
      "caller_number_type": 1,
      "caller_name": "",
      "caller_did_number": "",
      "callee_user_id": "",
      "callee_account_code": "",
      "callee_number": "",
      "callee_number_type": 1,
      "callee_name": "",
      "callee_did_number": "",
      "callee_extension_type": "user",
      "callee_id": "",
      "call_log_id": "",
      "call_history_id": "",
      "call_element_id": "",
      "call_id": ""
    }
  }
}

POST phone.sms_sent

  • Method: POST
  • Path: phone.sms_sent
  • Tags: phone

Request Body

Content-Type: application/json
  • event (required)

    string, possible values: "phone.sms_sent" — The name of the event.

  • event_ts (required)

    integer, format: int64 — The timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the owner.

    • object (required)

      object — The payload of SMS/MMS message that was sent.

      • attachments (required)

        array — The media file information.

        Items:

        • download_url (required)

          string — The URL using which the file can be downloaded.

        • id (required)

          string — The unique identifier for a media file.

        • name (required)

          string — The name of the file.

        • size (required)

          integer — The size of the file in bytes.

        • type (required)

          string — The type of file.

      • date_time (required)

        string, format: date-time — The date and time at which the SMS was sent.

      • message (required)

        string — The SMS text content.

      • message_id (required)

        string — The SMS message ID.

      • message_type (required)

        integer — The type of messages.

      • owner (required)

        object — The owner of this SMS/MMS.

        • id

          string — The owner ID.

        • sms_sender_user_id

          string — The user ID of the call queue or auto receptionist member who sent the SMS when the owner type is callQueue or autoReceptionist.

        • type

          string, possible values: "user", "callQueue", "autoReceptionist" — The owner type: *user *callQueue *autoReceptionist

      • sender (required)

        object — The SMS sender.

        • phone_number (required)

          string — The SMS sender's phone number.

        • display_name

          string — The SMS sender's display name.

        • id

          string — SMS sender's user ID.

        • type

          string, possible values: "user" — The type of sender: *user.

      • session_id (required)

        string — The SMS session ID.

      • to_members (required)

        array — The SMS receivers.

        Items:

        • phone_number (required)

          string — The SMS receiver's phone number.

        • display_name

          string — The SMS receiver's display name.

        • id

          string — The SMS receiver's ID.

        • type

          string, possible values: "user", "callQueue", "autoReceptionist" — The type of receiver: *user *callQueue *autoReceptionist.

      • failure_reason

        string — The reason for SMS send failure. An empty field means the SMS send was successful.

      • phone_number_campaign_opt_statuses

        array — The list of opt statuses for each number pair.

        Items:

        • consumer_phone_number (required)

          string — The end user's phone number in E164 format that sends the Opt-in or Opt-out keyword to the Zoom Phone number.

        • opt_status (required)

          string, possible values: "pending", "opt_out", "opt_in" — The opt status.

        • zoom_phone_user_number (required)

          string — The Zoom user's phone number in E164 format that receives the Opt-in or Opt-out keyword from the end user.

        • opt_in_message

          string — If opt_in_status=1, the opt_in_message will return the Opt-In message of the Campaign bound to zoom_phone_user_number. In this case, you must send the opt_in_message as the first message in the SMS session and then wait for the Opt-In response.

        • opt_in_status

          integer, possible values: 0, 1, 2, 3, 4 — The Opt-In status between the Zoom Phone user number and consumer phone number. This is a sub-status of opt_status and uses the following enumeration: 0: Default status. The Opt-In status for the Zoom Phone user number cannot be determined. This may occur when the Zoom Phone user number is not associated with a Campaign, among other reasons. 1: This is a new SMS session and an Opt-In message must be sent first. 2: An Opt-In message has been sent and a response is pending. 3: An Opt-In message has been sent and the recipient has consented to receive additional SMS messages. 4: An Opt-In message has been sent, but the recipient has declined to receive additional SMS messages, or the number has been configured to block all outbound SMS messages.

Example:

{
  "event": "phone.sms_sent",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "failure_reason": "",
      "sender": {
        "phone_number": "",
        "id": "",
        "type": "user",
        "display_name": "",
        "additionalProperty": "anything"
      },
      "to_members": [
        {
          "id": "",
          "type": "user",
          "display_name": "",
          "phone_number": "",
          "additionalProperty": "anything"
        }
      ],
      "owner": {
        "type": "user",
        "id": "",
        "sms_sender_user_id": ""
      },
      "message": "",
      "attachments": [
        {
          "id": "",
          "size": 1,
          "name": "",
          "type": "",
          "download_url": "",
          "additionalProperty": "anything"
        }
      ],
      "session_id": "",
      "message_id": "",
      "message_type": 1,
      "date_time": "",
      "phone_number_campaign_opt_statuses": [
        {
          "consumer_phone_number": "+150434XXXXX",
          "zoom_phone_user_number": "+12094XXXXX",
          "opt_status": "opt_out",
          "opt_in_status": 0,
          "opt_in_message": "Text START to receive text messages from ZOOM. Message frequency may vary. Message and Data Rates may apply. To end messaging from us, reply with STOP. Reply with HELP for more information."
        }
      ]
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string, possible values: "phone.sms_sent" — The name of the event.

  • event_ts (required)

    integer, format: int64 — The timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the owner.

    • object (required)

      object — The payload of SMS/MMS message that was sent.

      • attachments (required)

        array — The media file information.

        Items:

        • download_url (required)

          string — The URL using which the file can be downloaded.

        • id (required)

          string — The unique identifier for a media file.

        • name (required)

          string — The name of the file.

        • size (required)

          integer — The size of the file in bytes.

        • type (required)

          string — The type of file.

      • date_time (required)

        string, format: date-time — The date and time at which the SMS was sent.

      • message (required)

        string — The SMS text content.

      • message_id (required)

        string — The SMS message ID.

      • message_type (required)

        integer — The type of messages.

      • owner (required)

        object — The owner of this SMS/MMS.

        • id

          string — The owner ID.

        • sms_sender_user_id

          string — The user ID of the call queue or auto receptionist member who sent the SMS when the owner type is callQueue or autoReceptionist.

        • type

          string, possible values: "user", "callQueue", "autoReceptionist" — The owner type: *user *callQueue *autoReceptionist

      • sender (required)

        object — The SMS sender.

        • phone_number (required)

          string — The SMS sender's phone number.

        • display_name

          string — The SMS sender's display name.

        • id

          string — SMS sender's user ID.

        • type

          string, possible values: "user" — The type of sender: *user.

      • session_id (required)

        string — The SMS session ID.

      • to_members (required)

        array — The SMS receivers.

        Items:

        • phone_number (required)

          string — The SMS receiver's phone number.

        • display_name

          string — The SMS receiver's display name.

        • id

          string — The SMS receiver's ID.

        • type

          string, possible values: "user", "callQueue", "autoReceptionist" — The type of receiver: *user *callQueue *autoReceptionist.

      • failure_reason

        string — The reason for SMS send failure. An empty field means the SMS send was successful.

      • phone_number_campaign_opt_statuses

        array — The list of opt statuses for each number pair.

        Items:

        • consumer_phone_number (required)

          string — The end user's phone number in E164 format that sends the Opt-in or Opt-out keyword to the Zoom Phone number.

        • opt_status (required)

          string, possible values: "pending", "opt_out", "opt_in" — The opt status.

        • zoom_phone_user_number (required)

          string — The Zoom user's phone number in E164 format that receives the Opt-in or Opt-out keyword from the end user.

        • opt_in_message

          string — If opt_in_status=1, the opt_in_message will return the Opt-In message of the Campaign bound to zoom_phone_user_number. In this case, you must send the opt_in_message as the first message in the SMS session and then wait for the Opt-In response.

        • opt_in_status

          integer, possible values: 0, 1, 2, 3, 4 — The Opt-In status between the Zoom Phone user number and consumer phone number. This is a sub-status of opt_status and uses the following enumeration: 0: Default status. The Opt-In status for the Zoom Phone user number cannot be determined. This may occur when the Zoom Phone user number is not associated with a Campaign, among other reasons. 1: This is a new SMS session and an Opt-In message must be sent first. 2: An Opt-In message has been sent and a response is pending. 3: An Opt-In message has been sent and the recipient has consented to receive additional SMS messages. 4: An Opt-In message has been sent, but the recipient has declined to receive additional SMS messages, or the number has been configured to block all outbound SMS messages.

Example:

{
  "event": "phone.sms_sent",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "failure_reason": "",
      "sender": {
        "phone_number": "",
        "id": "",
        "type": "user",
        "display_name": "",
        "additionalProperty": "anything"
      },
      "to_members": [
        {
          "id": "",
          "type": "user",
          "display_name": "",
          "phone_number": "",
          "additionalProperty": "anything"
        }
      ],
      "owner": {
        "type": "user",
        "id": "",
        "sms_sender_user_id": ""
      },
      "message": "",
      "attachments": [
        {
          "id": "",
          "size": 1,
          "name": "",
          "type": "",
          "download_url": "",
          "additionalProperty": "anything"
        }
      ],
      "session_id": "",
      "message_id": "",
      "message_type": 1,
      "date_time": "",
      "phone_number_campaign_opt_statuses": [
        {
          "consumer_phone_number": "+150434XXXXX",
          "zoom_phone_user_number": "+12094XXXXX",
          "opt_status": "opt_out",
          "opt_in_status": 0,
          "opt_in_message": "Text START to receive text messages from ZOOM. Message frequency may vary. Message and Data Rates may apply. To end messaging from us, reply with STOP. Reply with HELP for more information."
        }
      ]
    }
  }
}

POST phone.voicemail_deleted

  • Method: POST
  • Path: phone.voicemail_deleted
  • Tags: phone

Request Body

Content-Type: application/json
  • event (required)

    string, possible values: "phone.voicemail_deleted" — The event name.

  • event_ts (required)

    integer, format: int64 — The timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the callee.

    • object (required)

      object

      • voice_mails (required)

        array

        Items:

        • id (required)

          string — The unique identifier of the voice mail.

Example:

{
  "event": "phone.voicemail_deleted",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "voice_mails": [
        {
          "id": ""
        }
      ]
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string, possible values: "phone.voicemail_deleted" — The event name.

  • event_ts (required)

    integer, format: int64 — The timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the callee.

    • object (required)

      object

      • voice_mails (required)

        array

        Items:

        • id (required)

          string — The unique identifier of the voice mail.

Example:

{
  "event": "phone.voicemail_deleted",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "voice_mails": [
        {
          "id": ""
        }
      ]
    }
  }
}

POST phone.voicemail_transcript_completed

  • Method: POST
  • Path: phone.voicemail_transcript_completed
  • Tags: phone

Request Body

Content-Type: application/json
  • event (required)

    string, possible values: "phone.voicemail_transcript_completed" — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp, in milliseconds since epoch, at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The callee's account ID.

    • object (required)

      object

      • callee_name (required)

        string — The callee's name.

      • callee_number (required)

        string — The callee's phone number.

      • callee_number_type (required)

        integer, possible values: 1, 2 — The callee's number type: * 1 — Internal. * 2 — External.

      • caller_name (required)

        string — The caller's name.

      • caller_number (required)

        string — The caller's phone number.

      • caller_number_type (required)

        integer, possible values: 1, 2 — The caller's number type: * 1 — Internal. * 2 — External.

      • date_time (required)

        string, format: date-time — The date and time at which the voicemail was received.

      • id (required)

        string — The voicemail's unique ID.

      • transcription (required)

        object — Voicemail transcript

        • content (required)

          string — Content of the voicemail transcript

        • status (required)

[...]
